Skip to content

Update a LegalTag

Request

Update certain properties of your LegalTag using the name associated with it. Currently we only allow the update of the description, contract ID and expiration date properties. Allowed roles: users.datalake.editors, users.datalake.admins

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id

Bodyapplication/json
namestringrequired

The name of the LegalTag.

Example:"slb-osdu-prod-des-prod-testing-public-usa-mydataset-1"
contractIdstringrequired

The Id of the physical contract associated with the data being ingested.

Example:"Some Contract Id"
descriptionstring

The optional description if the LegalTag to allow for easier discoverability of LegalTags overtime.

Example:"An update on the demonstration LegalTag"
expirationDatestring

The optional expiration date of the contract in the format YYYY-MM-DD

Example:"2025-12-25"
curl -i -X PUT \
  https://as5.api.enterprisedata.slb.com/api/legal/v1/legaltags \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "name": "slb-osdu-prod-des-prod-testing-public-usa-mydataset-1",
    "contractId": "Unknown",
    "description": "An update on the demonstration LegalTag",
    "expirationDate": "2099-01-01"
  }'

Responses

Updated LegalTag successfully.

Bodyapplication/json
namestring

The name of the LegalTag.

Example:"Some-Private-EHCData"
descriptionstring

The description of the LegalTag.

Example:"A LegalTag used for demonstration purposes."
propertiesobject(Properties)

LegalTag properties

Example:
{ "countryOfOrigin": [ "US" ], "contractId": "Unknown", "expirationDate": "2099-01-01", "originator": "OSDU", "dataType": "Public Domain Data", "securityClassification": "Public", "personalData": "No Personal Data", "exportClassification": "Not - Technical Data" }
Response
{ "name": "slb-osdu-prod-des-prod-testing-public-usa-dataset-1", "description": "A LegalTag used for demonstration purposes.", "properties": { "countryOfOrigin": [ … ], "contractId": "Unknown", "expirationDate": "2099-01-01", "originator": "OSDU", "dataType": "Public Domain Data", "securityClassification": "Public", "personalData": "No Personal Data", "exportClassification": "Not - Technical Data" } }